IMFI - Feature #1365

[CR] Perubahan validasi ESS Cuti
07/18/2022 03:59 PM - Muhammad Bintar

Status: Closed

Priority: High

Assignee: Muhammad Bintar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

07/18/2022
07/22/2022
0%

0.00 hour
0.00 hour

Description

Dear tim developer mohon support nya untuk merubah validasi ESS Cuti jika
pengajuan Leave absence type cuti tahunan (Annual Leave < 5 tahun dan Annual Leave > 5 tahun) diajukan awal nya 7 hari menjadi

3 hari sebelum tanggal cuti (H — 3).

remote.minovais.com:7007
username minovais

database sql server 2014
remote.minovais.com, 1452\MSSQLSERVER2014

History

#1 - 07/18/2022 04:09 PM - Saswanto Tampan
- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar

#2 - 07/18/2022 04:32 PM - Muhammad Bintar

- File query untuk update validasi ESS Leave.sql added
- File MinovaUltil.js added

- File clipboard-202207181612-s7mts.png added

- File clipboard-202207181631-cix87.png added

update :
1. update query sql ini untuk mengupdate validasi

2. update MinovaUtil.js

3. cek param ValidasiLeaveSetahun lalu perbaiki query nya
1 /*Declare @emp id varchar (10)='20110017'*/
2 DECLARE @tahunlalu VARCHAR (10)

3 DECLARE @joijndate VARCHAR (10}

q DECLARE @kasih VARCHAR(10)

5 SET

é @tahunlalu = |{

7 SELECT

8 dbo.fn formatdatetime(

k] cast |

10 DRTERDD (

11 year,

12 -1,

13 GETDATE ()

14 } AS DATE

15 Te

15 ' yyyymmdd®

17 )

18 )

18 SET

20 @joijndate = (

E2NN SELECT

22 CASE WHEN additional 1 IS NULL THEN [start_date] ELSE additional 1 END AS joijndate
28] FROM

24 dbo.hr_md emp_md0002

25 WHERE

26 emp_id = @Emp_idlan\:i end_date='98881231" tambahkan enddate 99991231
27 ) IF @tahunlalu > @jCTImIETe—DEeTN
28 SET

2 @kasih = 'ok' END ELSE

30 SET

31 Bkasih = 'no'

32 SELECT

33 @kasin AS IZIN

34
Leave
Subject:

Description:

Error

Leave
[%];
Main

g Pengajuan ESS biss dilakukan Maksimal 3 Harl berkunya

Absence Type: Annual Leave (;

|

Start Date: oK

0

End Date: Remaining Quota: | 0
Tatal Quota

Taken: Quota taken:

Total Remaining
Quota:

Reason For Leave a

Next Quota

Leave Quata:

Action: ~ [ submit €3 Cancel
#3 - 10/21/2024 10:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed

Files

query untuk update validasi ESS Leave.sq| 33.1 KB 07/18/2022
MinovaUltil.js 47 KB 07/18/2022
clipboard-202207181612-s7mts.png 60.1 KB 07/18/2022
clipboard-202207181631-cix87.png 197 KB 07/18/2022
